Index: uspace/lib/net/include/tl_common.h
===================================================================
--- uspace/lib/net/include/tl_common.h	(revision 1b11576d37f42974be6406260fc3bcf888c2e19d)
+++ uspace/lib/net/include/tl_common.h	(revision 58b833c28450decc06c7a346badd4976170e6cda)
@@ -27,16 +27,14 @@
  */
 
-/** @addtogroup libnet 
- * @{
+/** @addtogroup net_tl
+ *  @{
  */
 
 /** @file
- * Transport layer common functions.
+ *  Transport layer common functions.
  */
 
-#ifndef LIBNET_TL_COMMON_H_
-#define LIBNET_TL_COMMON_H_
-
-#include <ipc/services.h>
+#ifndef __NET_TL_COMMON_H__
+#define __NET_TL_COMMON_H__
 
 #include <net/socket_codes.h>
@@ -46,6 +44,6 @@
 
 /** Device packet dimensions.
- * Maps devices to the packet dimensions.
- * @see device.h
+ *  Maps devices to the packet dimensions.
+ *  @see device.h
  */
 DEVICE_MAP_DECLARE(packet_dimensions, packet_dimension_t);
@@ -53,11 +51,61 @@
 extern int tl_get_ip_packet_dimension(int, packet_dimensions_ref,
     device_id_t, packet_dimension_ref *);
-extern int tl_get_address_port(const struct sockaddr *, int, uint16_t *);
-extern int tl_update_ip_packet_dimension(packet_dimensions_ref, device_id_t,
-    size_t);
-extern int tl_set_address_port(struct sockaddr *, int, uint16_t);
-extern int tl_prepare_icmp_packet(int, int, packet_t, services_t);
-extern int tl_socket_read_packet_data(int, packet_ref, size_t,
-    const packet_dimension_ref, const struct sockaddr *, socklen_t);
+
+/** Gets the address port.
+ *  Supports AF_INET and AF_INET6 address families.
+ *  @param[in,out] addr The address to be updated.
+ *  @param[in] addrlen The address length.
+ *  @param[out] port The set port.
+ *  @returns EOK on success.
+ *  @returns EINVAL if the address length does not match the address family.
+ *  @returns EAFNOSUPPORT if the address family is not supported.
+ */
+extern int tl_get_address_port(const struct sockaddr * addr, int addrlen, uint16_t * port);
+
+/** Updates IP device packet dimensions cache.
+ *  @param[in,out] packet_dimensions The packet dimensions cache.
+ *  @param[in] device_id The device identifier.
+ *  @param[in] content The new maximum content size.
+ *  @returns EOK on success.
+ *  @returns ENOENT if the packet dimension is not cached.
+ */
+extern int tl_update_ip_packet_dimension(packet_dimensions_ref packet_dimensions, device_id_t device_id, size_t content);
+
+/** Sets the address port.
+ *  Supports AF_INET and AF_INET6 address families.
+ *  @param[in,out] addr The address to be updated.
+ *  @param[in] addrlen The address length.
+ *  @param[in] port The port to be set.
+ *  @returns EOK on success.
+ *  @returns EINVAL if the address length does not match the address family.
+ *  @returns EAFNOSUPPORT if the address family is not supported.
+ */
+extern int tl_set_address_port(struct sockaddr * addr, int addrlen, uint16_t port);
+
+/** Prepares the packet for ICMP error notification.
+ *  Keeps the first packet and releases all the others.
+ *  Releases all the packets on error.
+ *  @param[in] packet_phone The packet server module phone.
+ *  @param[in] icmp_phone The ICMP module phone.
+ *  @param[in] packet The packet to be send.
+ *  @param[in] error The packet error reporting service. Prefixes the received packet.
+ *  @returns EOK on success.
+ *  @returns ENOENT if no packet may be sent.
+ */
+extern int tl_prepare_icmp_packet(int packet_phone, int icmp_phone, packet_t packet, services_t error);
+
+/** Receives data from the socket into a packet.
+ *  @param[in] packet_phone The packet server module phone.
+ *  @param[out] packet The new created packet.
+ *  @param[in] prefix Reserved packet data prefix length.
+ *  @param[in] dimension The packet dimension.
+ *  @param[in] addr The destination address.
+ *  @param[in] addrlen The address length.
+ *  @returns Number of bytes received.
+ *  @returns EINVAL if the client does not send data.
+ *  @returns ENOMEM if there is not enough memory left.
+ *  @returns Other error codes as defined for the async_data_read_finalize() function.
+ */
+extern int tl_socket_read_packet_data(int packet_phone, packet_ref packet, size_t prefix, const packet_dimension_ref dimension, const struct sockaddr * addr, socklen_t addrlen);
 
 #endif
Index: uspace/lib/net/netif/netif_local.c
===================================================================
--- uspace/lib/net/netif/netif_local.c	(revision 1b11576d37f42974be6406260fc3bcf888c2e19d)
+++ uspace/lib/net/netif/netif_local.c	(revision 58b833c28450decc06c7a346badd4976170e6cda)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libnet 
+/** @addtogroup netif
  * @{
  */
@@ -58,5 +58,6 @@
 DEVICE_MAP_IMPLEMENT(netif_device_map, netif_device_t);
 
-/** Network interface global data. */
+/** Network interface global data.
+ */
 netif_globals_t netif_globals;
 
@@ -64,13 +65,13 @@
  *
  * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @param[in] irq	The device interrupt number.
- * @param[in] io	The device input/output address.
- * @return		EOK on success.
- * @return		Other error codes as defined for the
- *			netif_probe_message().
- */
-int
-netif_probe_req_local(int netif_phone, device_id_t device_id, int irq, int io)
+ * @param[in] device_id   The device identifier.
+ * @param[in] irq         The device interrupt number.
+ * @param[in] io          The device input/output address.
+ *
+ * @return EOK on success.
+ * @return Other errro codes as defined for the netif_probe_message().
+ *
+ */
+int netif_probe_req_local(int netif_phone, device_id_t device_id, int irq, int io)
 {
 	fibril_rwlock_write_lock(&netif_globals.lock);
@@ -84,10 +85,11 @@
  *
  * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @param[in] packet	The packet queue.
- * @param[in] sender	The sending module service.
- * @return		EOK on success.
- * @return		Other error codes as defined for the generic_send_msg()
- *			function.
+ * @param[in] device_id   The device identifier.
+ * @param[in] packet      The packet queue.
+ * @param[in] sender      The sending module service.
+ *
+ * @return EOK on success.
+ * @return Other error codes as defined for the generic_send_msg() function.
+ *
  */
 int netif_send_msg_local(int netif_phone, device_id_t device_id,
@@ -104,10 +106,10 @@
  *
  * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @return		EOK on success.
- * @return		Other error codes as defined for the find_device()
- *			function.
- * @return		Other error codes as defined for the
- *			netif_start_message() function.
+ * @param[in] device_id   The device identifier.
+ *
+ * @return EOK on success.
+ * @return Other error codes as defined for the find_device() function.
+ * @return Other error codes as defined for the netif_start_message() function.
+ *
  */
 int netif_start_req_local(int netif_phone, device_id_t device_id)
@@ -139,10 +141,10 @@
  *
  * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @return		EOK on success.
- * @return		Other error codes as defined for the find_device()
- *			function.
- * @return		Other error codes as defined for the
- *			netif_stop_message() function.
+ * @param[in] device_id   The device identifier.
+ *
+ * @return EOK on success.
+ * @return Other error codes as defined for the find_device() function.
+ * @return Other error codes as defined for the netif_stop_message() function.
+ *
  */
 int netif_stop_req_local(int netif_phone, device_id_t device_id)
@@ -173,8 +175,10 @@
 /** Return the device usage statistics.
  *
- * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @param[out] stats	The device usage statistics.
- * @return EOK on success.
+ * @param[in]  netif_phone The network interface phone.
+ * @param[in]  device_id   The device identifier.
+ * @param[out] stats       The device usage statistics.
+ *
+ * @return EOK on success.
+ *
  */
 int netif_stats_req_local(int netif_phone, device_id_t device_id,
@@ -190,13 +194,15 @@
 /** Return the device local hardware address.
  *
- * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @param[out] address	The device local hardware address.
- * @param[out] data	The address data.
- * @return		EOK on success.
- * @return		EBADMEM if the address parameter is NULL.
- * @return		ENOENT if there no such device.
- * @return		Other error codes as defined for the
- *			netif_get_addr_message() function.
+ * @param[in]  netif_phone The network interface phone.
+ * @param[in]  device_id   The device identifier.
+ * @param[out] address     The device local hardware address.
+ * @param[out] data        The address data.
+ *
+ * @return EOK on success.
+ * @return EBADMEM if the address parameter is NULL.
+ * @return ENOENT if there no such device.
+ * @return Other error codes as defined for the netif_get_addr_message()
+ *         function.
+ *
  */
 int netif_get_addr_req_local(int netif_phone, device_id_t device_id,
@@ -205,5 +211,5 @@
 	ERROR_DECLARE;
 	
-	if (!address || !data)
+	if ((!address) || (!data))
 		return EBADMEM;
 	
@@ -225,9 +231,11 @@
 /** Find the device specific data.
  *
- * @param[in] device_id	The device identifier.
- * @param[out] device	The device specific data.
- * @return		EOK on success.
- * @return		ENOENT if device is not found.
- * @return		EPERM if the device is not initialized.
+ * @param[in]  device_id The device identifier.
+ * @param[out] device    The device specific data.
+ *
+ * @return EOK on success.
+ * @return ENOENT if device is not found.
+ * @return EPERM if the device is not initialized.
+ *
  */
 int find_device(device_id_t device_id, netif_device_t **device)
@@ -248,5 +256,6 @@
 /** Clear the usage statistics.
  *
- * @param[in] stats	The usage statistics.
+ * @param[in] stats The usage statistics.
+ *
  */
 void null_device_stats(device_stats_ref stats)
@@ -257,8 +266,11 @@
 /** Initialize the netif module.
  *
- * @param[in] client_connection The client connection functio to be registered.
- * @return		EOK on success.
- * @return		Other error codes as defined for each specific module
- *			message function.
+ *  @param[in] client_connection The client connection functio to be
+ *                               registered.
+ *
+ *  @return EOK on success.
+ *  @return Other error codes as defined for each specific module
+ *          message function.
+ *
  */
 int netif_init_module(async_client_conn_t client_connection)
@@ -286,5 +298,6 @@
  * Prepared for future optimization.
  *
- * @param[in] packet_id	The packet identifier.
+ * @param[in] packet_id The packet identifier.
+ *
  */
 void netif_pq_release(packet_id_t packet_id)
@@ -295,7 +308,8 @@
 /** Allocate new packet to handle the given content size.
  *
- * @param[in] content	The minimum content size.
- * @return		The allocated packet.
- * @return		NULL if there is an error.
+ * @param[in] content The minimum content size.
+ *
+ * @return The allocated packet.
+ * @return NULL if there is an error.
  *
  */
@@ -305,13 +319,14 @@
 }
 
-/** Register the device notification receiver, the network interface layer
- * module.
- *
- * @param[in] name	Module name.
- * @param[in] device_id	The device identifier.
- * @param[in] phone	The network interface layer module phone.
- * @return		EOK on success.
- * @return		ENOENT if there is no such device.
- * @return		ELIMIT if there is another module registered.
+/** Register the device notification receiver, the network interface layer module.
+ *
+ * @param[in] name      Module name.
+ * @param[in] device_id The device identifier.
+ * @param[in] phone     The network interface layer module phone.
+ *
+ * @return EOK on success.
+ * @return ENOENT if there is no such device.
+ * @return ELIMIT if there is another module registered.
+ *
  */
 static int register_message(const char *name, device_id_t device_id, int phone)
@@ -332,14 +347,14 @@
 /** Process the netif module messages.
  *
- * @param[in] name 	Module name.
- * @param[in] callid	The message identifier.
- * @param[in] call	The message parameters.
- * @param[out] answer	The message answer parameters.
- * @param[out] answer_count The last parameter for the actual answer in the
- *			answer parameter.
- * @return		EOK on success.
- * @return		ENOTSUP if the message is not known.
- * @return		Other error codes as defined for each specific module
- *			message function.
+ * @param[in]  name         Module name.
+ * @param[in]  callid       The message identifier.
+ * @param[in]  call         The message parameters.
+ * @param[out] answer       The message answer parameters.
+ * @param[out] answer_count The last parameter for the actual answer
+ *                          in the answer parameter.
+ *
+ * @return EOK on success.
+ * @return ENOTSUP if the message is not known.
+ * @return Other error codes as defined for each specific module message function.
  *
  * @see IS_NET_NETIF_MESSAGE()
@@ -358,58 +373,45 @@
 	*answer_count = 0;
 	switch (IPC_GET_METHOD(*call)) {
-	case IPC_M_PHONE_HUNGUP:
-		return EOK;
-	
-	case NET_NETIF_PROBE:
-		return netif_probe_req_local(0, IPC_GET_DEVICE(call),
-		    NETIF_GET_IRQ(call), NETIF_GET_IO(call));
-		    
-	case IPC_M_CONNECT_TO_ME:
-		fibril_rwlock_write_lock(&netif_globals.lock);
-		ERROR_CODE = register_message(name, IPC_GET_DEVICE(call),
-		    IPC_GET_PHONE(call));
-		fibril_rwlock_write_unlock(&netif_globals.lock);
-		return ERROR_CODE;
-		
-	case NET_NETIF_SEND:
-		ERROR_PROPAGATE(packet_translate_remote(netif_globals.net_phone,
-		    &packet, IPC_GET_PACKET(call)));
-		return netif_send_msg_local(0, IPC_GET_DEVICE(call), packet,
-		    IPC_GET_SENDER(call));
-		    
-	case NET_NETIF_START:
-		return netif_start_req_local(0, IPC_GET_DEVICE(call));
-		
-	case NET_NETIF_STATS:
-		fibril_rwlock_read_lock(&netif_globals.lock);
-
-		if (ERROR_OCCURRED(async_data_read_receive(&callid, &length))) {
+		case IPC_M_PHONE_HUNGUP:
+			return EOK;
+		case NET_NETIF_PROBE:
+			return netif_probe_req_local(0, IPC_GET_DEVICE(call),
+			    NETIF_GET_IRQ(call), NETIF_GET_IO(call));
+		case IPC_M_CONNECT_TO_ME:
+			fibril_rwlock_write_lock(&netif_globals.lock);
+			ERROR_CODE = register_message(name, IPC_GET_DEVICE(call),
+			    IPC_GET_PHONE(call));
+			fibril_rwlock_write_unlock(&netif_globals.lock);
+			return ERROR_CODE;
+		case NET_NETIF_SEND:
+			ERROR_PROPAGATE(packet_translate_remote(netif_globals.net_phone,
+			    &packet, IPC_GET_PACKET(call)));
+			return netif_send_msg_local(0, IPC_GET_DEVICE(call), packet,
+			    IPC_GET_SENDER(call));
+		case NET_NETIF_START:
+			return netif_start_req_local(0, IPC_GET_DEVICE(call));
+		case NET_NETIF_STATS:
+			fibril_rwlock_read_lock(&netif_globals.lock);
+			if (!ERROR_OCCURRED(async_data_read_receive(&callid, &length))) {
+				if (length < sizeof(device_stats_t))
+					ERROR_CODE = EOVERFLOW;
+				else {
+					if (!ERROR_OCCURRED(netif_get_device_stats(
+					    IPC_GET_DEVICE(call), &stats)))
+						ERROR_CODE = async_data_read_finalize(callid, &stats,
+						    sizeof(device_stats_t));
+				}
+			}
 			fibril_rwlock_read_unlock(&netif_globals.lock);
 			return ERROR_CODE;
-		}
-		if (length < sizeof(device_stats_t)) {
+		case NET_NETIF_STOP:
+			return netif_stop_req_local(0, IPC_GET_DEVICE(call));
+		case NET_NETIF_GET_ADDR:
+			fibril_rwlock_read_lock(&netif_globals.lock);
+			if (!ERROR_OCCURRED(netif_get_addr_message(IPC_GET_DEVICE(call),
+			    &address)))
+				ERROR_CODE = measured_strings_reply(&address, 1);
 			fibril_rwlock_read_unlock(&netif_globals.lock);
-			return EOVERFLOW;
-		}
-
-		if (ERROR_NONE(netif_get_device_stats(IPC_GET_DEVICE(call),
-		    &stats))) {
-			ERROR_CODE = async_data_read_finalize(callid, &stats,
-			    sizeof(device_stats_t));
-		}
-
-		fibril_rwlock_read_unlock(&netif_globals.lock);
-		return ERROR_CODE;
-
-	case NET_NETIF_STOP:
-		return netif_stop_req_local(0, IPC_GET_DEVICE(call));
-		
-	case NET_NETIF_GET_ADDR:
-		fibril_rwlock_read_lock(&netif_globals.lock);
-		if (ERROR_NONE(netif_get_addr_message(IPC_GET_DEVICE(call),
-		    &address)))
-			ERROR_CODE = measured_strings_reply(&address, 1);
-		fibril_rwlock_read_unlock(&netif_globals.lock);
-		return ERROR_CODE;
+			return ERROR_CODE;
 	}
 	
@@ -419,13 +421,16 @@
 /** Start the network interface module.
  *
- * Initialize the client connection serving function, initialize the module,
- * registers the module service and start the async manager, processing IPC
- * messages in an infinite loop.
- *
- * @param[in] client_connection The client connection processing function.
- *			The module skeleton propagates its own one.
- * @return		EOK on success.
- * @return		Other error codes as defined for each specific module
- *			message function.
+ * Initialize the client connection serving function, initialize
+ * the module, registers the module service and start the async
+ * manager, processing IPC messages in an infinite loop.
+ *
+ * @param[in] client_connection The client connection processing
+ *                              function. The module skeleton propagates
+ *                              its own one.
+ *
+ * @return EOK on success.
+ * @return Other error codes as defined for each specific module message
+ *         function.
+ *
  */
 int netif_module_start_standalone(async_client_conn_t client_connection)
Index: uspace/lib/net/netif/netif_remote.c
===================================================================
--- uspace/lib/net/netif/netif_remote.c	(revision 1b11576d37f42974be6406260fc3bcf888c2e19d)
+++ uspace/lib/net/netif/netif_remote.c	(revision 58b833c28450decc06c7a346badd4976170e6cda)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libnet 
+/** @addtogroup netif
  * @{
  */
@@ -35,8 +35,4 @@
  */
 
-#include <netif_remote.h>
-#include <packet_client.h>
-#include <generic.h>
-
 #include <ipc/services.h>
 #include <ipc/netif.h>
@@ -45,18 +41,9 @@
 #include <adt/measured_strings.h>
 #include <net/packet.h>
+#include <packet_client.h>
 #include <net/device.h>
+#include <netif_remote.h>
+#include <generic.h>
 
-/** Return the device local hardware address.
- *
- * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @param[out] address	The device local hardware address.
- * @param[out] data	The address data.
- * @return		EOK on success.
- * @return		EBADMEM if the address parameter is NULL.
- * @return		ENOENT if there no such device.
- * @return		Other error codes as defined for the
- *			netif_get_addr_message() function.
- */
 int netif_get_addr_req_remote(int netif_phone, device_id_t device_id,
     measured_string_ref *address, char **data)
@@ -66,32 +53,10 @@
 }
 
-/** Probe the existence of the device.
- *
- * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @param[in] irq	The device interrupt number.
- * @param[in] io	The device input/output address.
- * @return		EOK on success.
- * @return		Other error codes as defined for the
- *			netif_probe_message().
- */
-int
-netif_probe_req_remote(int netif_phone, device_id_t device_id, int irq, int io)
+int netif_probe_req_remote(int netif_phone, device_id_t device_id, int irq, int io)
 {
 	return async_req_3_0(netif_phone, NET_NETIF_PROBE, device_id, irq, io);
 }
 
-/** Send the packet queue.
- *
- * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @param[in] packet	The packet queue.
- * @param[in] sender	The sending module service.
- * @return		EOK on success.
- * @return		Other error codes as defined for the generic_send_msg()
- *			function.
- */
-int
-netif_send_msg_remote(int netif_phone, device_id_t device_id, packet_t packet,
+int netif_send_msg_remote(int netif_phone, device_id_t device_id, packet_t packet,
     services_t sender)
 {
@@ -100,14 +65,4 @@
 }
 
-/** Start the device.
- *
- * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @return		EOK on success.
- * @return		Other error codes as defined for the find_device()
- *			function.
- * @return		Other error codes as defined for the
- *			netif_start_message() function.
- */
 int netif_start_req_remote(int netif_phone, device_id_t device_id)
 {
@@ -115,14 +70,4 @@
 }
 
-/** Stop the device.
- *
- * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @return		EOK on success.
- * @return		Other error codes as defined for the find_device()
- *			function.
- * @return		Other error codes as defined for the
- *			netif_stop_message() function.
- */
 int netif_stop_req_remote(int netif_phone, device_id_t device_id)
 {
@@ -130,11 +75,4 @@
 }
 
-/** Return the device usage statistics.
- *
- * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @param[out] stats	The device usage statistics.
- * @return EOK on success.
- */
 int netif_stats_req_remote(int netif_phone, device_id_t device_id,
     device_stats_ref stats)
@@ -161,12 +99,11 @@
  * @param[in] receiver  The message receiver.
  *
- * @return		The phone of the needed service.
- * @return		EOK on success.
- * @return		Other error codes as defined for the bind_service()
- *			function.
+ * @return The phone of the needed service.
+ * @return EOK on success.
+ * @return Other error codes as defined for the bind_service() function.
+ *
  */
-int
-netif_bind_service_remote(services_t service, device_id_t device_id,
-    services_t me, async_client_conn_t receiver)
+int netif_bind_service_remote(services_t service, device_id_t device_id, services_t me,
+    async_client_conn_t receiver)
 {
 	return bind_service(service, device_id, me, 0, receiver);
Index: uspace/lib/net/nil/nil_remote.c
===================================================================
--- uspace/lib/net/nil/nil_remote.c	(revision 1b11576d37f42974be6406260fc3bcf888c2e19d)
+++ uspace/lib/net/nil/nil_remote.c	(revision 58b833c28450decc06c7a346badd4976170e6cda)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libnet
+/** @addtogroup net_nil
  * @{
  */
@@ -47,10 +47,12 @@
 /** Notify the network interface layer about the device state change.
  *
- * @param[in] nil_phone	The network interface layer phone.
- * @param[in] device_id	The device identifier.
- * @param[in] state	The new device state.
- * @return		EOK on success.
- * @return		Other error codes as defined for each specific module
- *			device state function.
+ * @param[in] nil_phone The network interface layer phone.
+ * @param[in] device_id The device identifier.
+ * @param[in] state     The new device state.
+ *
+ * @return EOK on success.
+ * @return Other error codes as defined for each specific module device
+ *         state function.
+ *
  */
 int nil_device_state_msg_remote(int nil_phone, device_id_t device_id, int state)
@@ -65,17 +67,19 @@
  * upper layers.
  *
- * @param[in] nil_phone	The network interface layer phone.
- * @param[in] device_id	The source device identifier.
- * @param[in] packet	The received packet or the received packet queue.
- * @param target	The target service. Ignored parameter.
- * @return		EOK on success.
- * @return		Other error codes as defined for each specific module
- * 			received function.
+ * @param[in] nil_phone The network interface layer phone.
+ * @param[in] device_id The source device identifier.
+ * @param[in] packet    The received packet or the received packet queue.
+ * @param     target    The target service. Ignored parameter.
+ *
+ * @return EOK on success.
+ * @return Other error codes as defined for each specific module
+ *         received function.
+ *
  */
 int nil_received_msg_remote(int nil_phone, device_id_t device_id,
     packet_t packet, services_t target)
 {
-	return generic_received_msg_remote(nil_phone, NET_NIL_RECEIVED,
-	    device_id, packet_get_id(packet), target, 0);
+	return generic_received_msg_remote(nil_phone, NET_NIL_RECEIVED, device_id,
+	    packet_get_id(packet), target, 0);
 }
 
Index: uspace/lib/net/tl/icmp_client.c
===================================================================
--- uspace/lib/net/tl/icmp_client.c	(revision 1b11576d37f42974be6406260fc3bcf888c2e19d)
+++ uspace/lib/net/tl/icmp_client.c	(revision 58b833c28450decc06c7a346badd4976170e6cda)
@@ -27,19 +27,15 @@
  */
 
-/** @addtogroup libnet
- * @{
+/** @addtogroup icmp
+ *  @{
  */
 
 /** @file
- * ICMP client interface implementation.
- * @see icmp_client.h
+ *  ICMP client interface implementation.
+ *  @see icmp_client.h
  */
 
-#include <icmp_client.h>
-#include <icmp_header.h>
-#include <packet_client.h>
-
 #ifdef CONFIG_DEBUG
-#include <stdio.h>
+	#include <stdio.h>
 #endif
 
@@ -48,55 +44,40 @@
 
 #include <net/icmp_codes.h>
+#include <icmp_client.h>
 #include <net/packet.h>
+#include <packet_client.h>
+#include <icmp_header.h>
 
-/** Processes the received packet prefixed with an ICMP header.
- *
- * @param[in] packet	The received packet.
- * @param[out] type	The ICMP header type.
- * @param[out] code	The ICMP header code.
- * @param[out] pointer	The ICMP header pointer.
- * @param[out] mtu	The ICMP header MTU.
- * @returns		The ICMP header length.
- * @returns		Zero if the packet contains no data.
- */
-int
-icmp_client_process_packet(packet_t packet, icmp_type_t *type,
-    icmp_code_t *code, icmp_param_t *pointer, icmp_param_t *mtu)
-{
+int icmp_client_process_packet(packet_t packet, icmp_type_t * type, icmp_code_t * code, icmp_param_t * pointer, icmp_param_t * mtu){
 	icmp_header_ref header;
 
 	header = (icmp_header_ref) packet_get_data(packet);
-	if (!header ||
-	    (packet_get_data_length(packet) < sizeof(icmp_header_t))) {
+	if((! header)
+		|| (packet_get_data_length(packet) < sizeof(icmp_header_t))){
 		return 0;
 	}
-
-	if (type)
+	if(type){
 		*type = header->type;
-	if (code)
+	}
+	if(code){
 		*code = header->code;
-	if (pointer)
+	}
+	if(pointer){
 		*pointer = header->un.param.pointer;
-	if (mtu)
+	}
+	if(mtu){
 		*mtu = header->un.frag.mtu;
-
+	}
 	// remove debug dump
 #ifdef CONFIG_DEBUG
-	printf("ICMP error %d (%d) in packet %d\n", header->type, header->code,
-	    packet_get_id(packet));
+	printf("ICMP error %d (%d) in packet %d\n", header->type, header->code, packet_get_id(packet));
 #endif
 	return sizeof(icmp_header_t);
 }
 
-/** Returns the ICMP header length.
- *
- * @param[in] packet	The packet.
- * @returns		The ICMP header length in bytes.
- */
-size_t icmp_client_header_length(packet_t packet)
-{
-	if (packet_get_data_length(packet) < sizeof(icmp_header_t))
+size_t icmp_client_header_length(packet_t packet){
+	if(packet_get_data_length(packet) < sizeof(icmp_header_t)){
 		return 0;
-
+	}
 	return sizeof(icmp_header_t);
 }
